Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dba.oracle
Class OracleDataNode

    java.lang.Object
      org.objectstyle.cayenne.access.DataNode
          org.objectstyle.cayenne.dba.oracle.OracleDataNode

All Implemented Interfaces:
  QueryEngine

Deprecated. Since 1.2 DataNode customization is done entirely via DbAdapter.

    public class OracleDataNode

extends DataNode

DataNode subclass customized for Oracle database engine.

Author:
  Andrei Adamchik

Field Summary

Fields inherited from class org.objectstyle.cayenne.access.DataNode
`adapter, dataMaps, dataSource, dataSourceFactory, dataSourceLocation, DEFAULT_ADAPTER_CLASS, entityResolver, entitySorter, name`

Constructor Summary
`OracleDataNode()` Deprecated.
`OracleDataNode(java.lang.String name)` Deprecated.

Method Summary
`protected void` | `processLOBRow(java.sql.Connection con, LOBBatchQueryBuilder queryBuilder, LOBBatchQueryWrapper selectQuery, java.util.List qualifierAttributes)` Deprecated. Selects a LOB row and writes LOB values.
`protected void` | `runBatchUpdateAsBatch(java.sql.Connection con, BatchQuery query, BatchQueryBuilder queryBuilder, OperationObserver delegate)` Deprecated. Configures BatchQueryBuilder to trim CHAR column values, and then invokes super implementation.
`protected void` | `runBatchUpdateAsIndividualQueries(java.sql.Connection con, BatchQuery query, BatchQueryBuilder queryBuilder, OperationObserver delegate)` Deprecated. Configures BatchQueryBuilder to trim CHAR column values, and then invokes super implementation.
`void` | `runBatchUpdateWithLOBColumns(java.sql.Connection con, BatchQuery query, OperationObserver delegate)` Deprecated. Special update method that is called from OracleAdapter if LOB columns are to be updated.

Methods inherited from class org.objectstyle.cayenne.access.DataNode
`addDataMap, getAdapter, getDataMaps, getDataSource, getDataSourceFactory, getDataSourceLocation, getEntityResolver, getEntitySorter, getName, lookupDataNode, performQueries, performQueries, readResultSet, readStoredProcedureOutParameters, removeDataMap, runBatchUpdate, runSelect, runStoredProcedure, runUpdate, setAdapter, setDataMaps, setDataSource, setDataSourceFactory, setDataSourceLocation, setEntityResolver, setEntitySorter, setName, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleDataNode

    public OracleDataNode()

  Deprecated.

### OracleDataNode

    public OracleDataNode(java.lang.String name)

  Deprecated.

Method Detail

### runBatchUpdateWithLOBColumns

    public void runBatchUpdateWithLOBColumns(java.sql.Connection con,
                                             BatchQuery query,
                                             OperationObserver delegate)
                                      throws java.sql.SQLException,
                                             java.lang.Exception

  Deprecated.
  Special update method that is called from OracleAdapter if LOB columns are to be updated.

  Throws:
    `java.sql.SQLException`
    `java.lang.Exception`

### processLOBRow

    protected void processLOBRow(java.sql.Connection con,
                                 LOBBatchQueryBuilder queryBuilder,
                                 LOBBatchQueryWrapper selectQuery,
                                 java.util.List qualifierAttributes)
                          throws java.sql.SQLException,
                                 java.lang.Exception

  Deprecated.
  Selects a LOB row and writes LOB values.

  Throws:
    `java.sql.SQLException`
    `java.lang.Exception`

### runBatchUpdateAsBatch

    protected void runBatchUpdateAsBatch(java.sql.Connection con,
                                         BatchQuery query,
                                         BatchQueryBuilder queryBuilder,
                                         OperationObserver delegate)
                                  throws java.sql.SQLException,
                                         java.lang.Exception

  Deprecated.
  Configures BatchQueryBuilder to trim CHAR column values, and then invokes super implementation.

  Overrides:
    `runBatchUpdateAsBatch` in class `DataNode`
  Throws:
    `java.sql.SQLException`
    `java.lang.Exception`

### runBatchUpdateAsIndividualQueries

    protected void runBatchUpdateAsIndividualQueries(java.sql.Connection con,
                                                     BatchQuery query,
                                                     BatchQueryBuilder queryBuilder,
                                                     OperationObserver delegate)
                                              throws java.sql.SQLException,
                                                     java.lang.Exception

  Deprecated.
  Configures BatchQueryBuilder to trim CHAR column values, and then invokes super implementation.

  Overrides:
    `runBatchUpdateAsIndividualQueries` in class `DataNode`
  Throws:
    `java.sql.SQLException`
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.